<!doctype html> {% load static %}
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,500i,600,600i,700,800i|Open+Sans:400,600&display=swap" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}">

    <title>Afriza's StoryNine</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/homepage.css' %}">
</head>

<body>
    {% include 'snippets/navbar.html' %}
    <div class="wrapper">
        <div class="content">
            <div id="Status" class="flex-centered">
                <div style="margin-bottom: 1.5vh;">
                    <h2>Maybe, Search a <span class="orange-text">Book</span>?</h2>
                    <button type="button" id="toprated" class="btn btn-primary" data-toggle="modal" data-target="#myModal">
                        Top-5 Rated Books
                    </button>
                    <form id="searchform">
                        <input type="text" name="search" placeholder="1001 Ways to Ruin your Life" class="statusform">

                        <button class="btn btn-primary">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="white" width="23px" height="23px"><path d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"/><path d="M0 0h24v24H0z" fill="none"/></svg>
                        </button>
                    </form>
                </div>
                <div class="status-wrapper">
                    <table id="booktable" class="table table-striped table-dark" style="display: none;">
                        <thead id="booktable-header">
                          <tr>
                            <th scope="col">Identifier</th>
                            <th scope="col">Cover</th>
                            <th scope="col">Title</th>
                            <th scope="col">Author</th>
                            <th scope="col">Publisher</th>
                            <th scope="col">Date</th>
                            <th scope="col">Rating</th>
                            <th scope="col"></th>
                          </tr>
                        </thead>
                        <tbody id="booktable-content"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <!-- Modal -->
        <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog modal-lg">
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" style="color: black;">Top 5 of All-Time</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <div class="table-responsive">
                            <table id="modaltable" class="table table-borderless" style="border-radius: 15px;">
                                <thead id="modaltable-header">
                                  <tr>
                                    <th scope="col">Identifier</th>
                                    <th scope="col">Cover</th>
                                    <th scope="col">Title</th>
                                    <th scope="col">Author</th>
                                    <th scope="col">Publisher</th>
                                    <th scope="col">Date</th>
                                    <th scope="col">Rating</th>
                                    <th scope="col"></th>
                                  </tr>
                                </thead>
                                <tbody id="modaltable-content"></tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>

    </div>


    <!-- <a href="#Status"><svg class="button-down" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0z" fill="none"/><path d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 12l-4-4h8l-4 4z" fill="#FFFFFF"/></svg></a> -->
    <!-- <a href="#Header"><svg class="button-up" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0z" fill="none"/><path d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 12l-4-4h8l-4 4z" fill="#FFFFFF"/></svg></a> -->
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <!-- <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script> -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <!-- <script src="{% static 'js/booksearch.js' %}"></script> -->
    {% include 'booksearch.html' %}
    {% include 'likebutton.html' %}
    {% include 'toprated.html' %}
</body>

</html>